Debian Bug report logs - #637805
unusable for non-root users with or without setuid

version graph

Package: ntfs-3g; Maintainer for ntfs-3g is Daniel Baumann <mail@daniel-baumann.ch>; Source for ntfs-3g is src:ntfs-3g.

Reported by: Rudy Klein <rud-x@gmx.fr>

Date: Sun, 14 Aug 2011 17:27:15 UTC

Severity: normal

Merged with 631504

Found in version ntfs-3g/1:2011.1.15AR.4+2011.4.12-2

Fixed in version 1:2012.1.15AR.5-2.1

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rud-x@gmx.fr, debian-devel@lists.debian.org:
Bug#637805; Package general. (Sun, 14 Aug 2011 17:27:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rudy Klein <rud-x@gmx.fr>:
New Bug report received and forwarded. Copy sent to rud-x@gmx.fr, debian-devel@lists.debian.org. (Sun, 14 Aug 2011 17:27:18 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rudy Klein <rud-x@gmx.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: general: can't mount a usb drive as a non-root user
Date: Sun, 14 Aug 2011 19:26:57 +0200
Package: general
Severity: normal
Tags: lfs

whan i plug a usb hard drive when logged as a non-root user, i have this error
message:

Error mounting: mount exited with exit code 1: helper failed with:
Error opening '/dev/sdc1': Permission denied
Failed to mount '/dev/sdc1': Permission denied
Please check '/dev/sdc1' and the ntfs-3g binary permissions,
and the mounting user ID. More explanation is provided at
http://ntfs-3g.org/support.html#unprivileged

the system seems to allow only root to mount the drive.
when i try to mount the drive as root (in CLI:    sudo mount /dev/sdc1
/media/mount_directory ) it works...



-- System Information:
Debian Release: 6.0.2
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Removed tag(s) lfs. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Sun, 14 Aug 2011 18:48:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#637805; Package general. (Mon, 15 Aug 2011 07:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 637805@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Mon, 15 Aug 2011 07:06:03 GMT) Full text and rfc822 format available.

Message #12 received at 637805@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Rudy Klein <rud-x@gmx.fr>, 637805@bugs.debian.org
Subject: Re: Bug#637805: general: can't mount a usb drive as a non-root user
Date: Mon, 15 Aug 2011 09:02:55 +0200
[Message part 1 (text/plain, inline)]
reassign 637805 ntfs-3g
thanks

This either belongs to btfs-3g....or some local problem that would
make /dev/sdc* devices to not have the right permissions....

Reassigning.

At least, please provide more information. Output from "ls -l
/dev/sdc*" as well as "id" is imho the minimum.


[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'general' to 'ntfs-3g'. Request was from Christian PERRIER <bubulle@debian.org> to control@bugs.debian.org. (Mon, 15 Aug 2011 07:06:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'unusable for non-root users with or without setuid' from 'general: can't mount a usb drive as a non-root user' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 30 Oct 2011 19:36:09 GMT) Full text and rfc822 format available.

Forcibly Merged 631504 637805. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 30 Oct 2011 19:36:11 GMT) Full text and rfc822 format available.

Bug reopened Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 14 Jun 2012 20:57:09 GMT) Full text and rfc822 format available.

Message #21 received at 631504-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 631504-done@bugs.debian.org
Subject: Re: unusable for non-root users with or without setuid
Date: Thu, 23 May 2013 11:27:50 +0200
Version: 1:2012.1.15AR.5-2.1

on a fresh wheezy/amd64 system, installed on real hardware with an usb
stick, plugging in a ntfs formated external harddisk is mounted
automatically and a gnome notification about the mount/availability of
the drive is shown. closing bug now.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:21:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.